.selectSearchArea {
  width: 170px;
  height: 100%;
  float: left;
  position: relative;
}
.multiFunctionSelect {
  width: 100%;
  height: 100%;
  border: 1px solid #e2e2e2;
  border-radius: 4px;
  padding-left: 10px;
  padding-right: 30px;
  box-sizing: border-box;
}
.multiFunctionSelect:hover {
  /* border: 1px solid #5a8ab7; */
}
.selectSearchArea  i {
  position: absolute;
  right: 10px;
  top: 0;
  color: #c1c1c1;
}
.selectSearchArea  .multiFunctionSelectList {
  position: absolute;
  width: 100%;
  max-height: 180px;
  top: 30px;
  left: 0;
  overflow: auto;
  border: 1px solid #e2e2e2;
  box-sizing: border-box;
  font-size: 0.875rem;
  z-index: 2;
  background-color: #ffffff;
}
.selectSearchArea  .multiFunctionSelectList  li {
  padding: 0 10px;
  cursor: pointer;
  overflow: hidden;
  height: 30px;
  text-overflow: ellipsis;
  white-space: nowrap;
  transition: all .5s ease;
}
.selectSearchArea  .multiFunctionSelectList  li:hover {
  background-color: #DE0629;
  color: #ffffff;
}

.selectSearchArea  .multiFunctionSelectList  li.active {
  background-color: #DE0629;
  color: #ffffff;
}
.selectSearchArea .maskLayer {
  width: 100%;
  position: absolute;
  left: 0;
  background-color: #eceff3;
  opacity: 0.8;
  z-index: 10;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 14px;
  color: #1194ff;
}
.selectSearchArea .maskLayer .loadingImg {
  font-size: 26px;
  color: #1194ff;
  background-color: #eceff3;
  animation: rotateImg 3s linear infinite;
  -webkit-animation: rotateImg 3s linear infinite;
}

@keyframes rotateImg {
  0% {
    -webkit-transform: rotate(0deg);
  }
  50% {
    -webkit-transform: rotate(180deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
  }
}
@-webkit-keyframes rotateImg {
  0% {
    -webkit-transform: rotate(0deg);
  }
  50% {
    -webkit-transform: rotate(180deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
  }
}